petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectQueryFunction

Gets a function associated with a given object.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscObjectQueryFunction(PetscObject obj,const char name[],void (**fptr)(void))

Logically Collective on PetscObject

### Input Parameters

| obj | - the PETSc object; this must be cast with (PetscObject), for example, PetscObjectQueryFunction((PetscObject)ksp,...);
| name | - name associated with the child function

### Output Parameter

fptr -function pointer

### See Also

PetscObjectComposeFunction(), PetscFunctionListFind()

### Level

advanced

### Location

src/sys/objects/inherit.c

### Examples

src/mat/examples/tutorials/ex8.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages